.pf1.sheet {
  .item-groups-list {
    overflow: hidden scroll;
    .scrollbar();
    height: 100%;
  }

  .item-groups-list,
  .item-list {
    list-style: none;
    margin: 0;
    padding: 0 0;
  }

  .item-list {
    overflow: hidden;
  }

  // Item List Header
  .item-list-header {
    margin: 0 0 2px 0;
    padding: 0;
    background: var(--pf1-bg-dark-0);
    border: var(--pf1-border-groove);
    line-height: 24px;
    flex: 0 0 24px;

    font-size: var(--font-size-12, 9pt);

    h3 {
      margin: 0;
      padding-left: 5px;
      font-size: var(--font-size-12);
      font-weight: bold;
    }

    .item-controls {
      justify-content: space-evenly;
    }
  }

  .item-list-header,
  .item {
    > *:not(:last-child) {
      border-right: 1px solid var(--color-border-light-secondary);
    }

    > *:not(.item-name) {
      justify-content: space-evenly;
    }

    .fas {
      text-align: center;
    }

    .quantity {
      font-size: var(--font-size-11);
      vertical-align: super;

      &::before {
        content: "(";
      }
      &::after {
        content: ")";
      }
    }

    .item-name {
      .change-formula {
        margin: 0 2px;
      }

      > textarea {
        margin: 0 2px;
      }

      .item-info {
        flex: 0 0 16px;
        margin-right: 4px;
      }
    }
    .item-enabled {
      flex: 0 0 48px;
    }
    .item-operator {
      flex: 0 0 56px;
    }
    .item-target {
      flex: 0 0 160px;

      .change-target,
      .context-note-target {
        flex: 0 0 156px;
        width: 156px;
      }
    }
    .item-type {
      flex: 0 0 112px;

      .change-type {
        flex: 0 0 108px;
        width: 108px;
      }
    }
    .item-priority {
      flex: 0 0 32px;
    }

    &.flexcol {
      height: 100%;
    }

    &.disabled {
      .item-name {
        h4 {
          text-decoration: line-through;
          color: var(--pf1-tan);
        }
      }
    }

    // Item Header Name
    .item-name {
      cursor: pointer;
      white-space: nowrap;
      overflow: hidden;
      align-items: center;

      display: inline-flex;
      gap: 0.3rem;

      &.flag-name {
        cursor: initial;
      }

      .item-image {
        height: 24px;
        flex: 0 0 24px;
        background-size: 24px;
        background: no-repeat center;
        background-size: contain;

        &:hover:not(.no-hover) {
          background-image: url(../../icons/misc/info.svg) !important;
        }
      }

      h4 {
        margin: 0;
        border: unset;
      }
    }

    input[type="checkbox"] {
      height: auto;
    }

    // Item Dropdown Properties
    .item-properties {
      margin-top: 3px;
    }

    // Charged
    .item-recharge {
      flex: 0 0 80px;
      text-align: right;
      font-size: var(--font-size-12);
      color: var(--pf1-tan);
    }

    // Item Detail Sections
    .item-detail {
      height: 24px;
      flex: 0 0 80px;
      font-size: var(--font-size-12);
      color: var(--pf1-control-color);
      text-align: center;
      overflow: hidden;
      white-space: nowrap;
      display: flex;
      flex-flow: row nowrap;
      align-items: center;

      .icon-pf {
        background-color: var(--pf1-tan);
      }

      // Do not apply padding to formula fields to squeeze out two pixels
      &[class^="item-"]:not([class~="item-damage"], [class~="item-attacks"]) {
        padding: 0 1px 0 1px;
      }

      &.item-actions {
        flex: 0 0 32px;
        justify-content: center;

        & > div {
          flex: 0 0 16px;
        }

        .item-action {
          display: inline-flex;
        }
      }

      &.item-slot {
        flex: 0 0 64px;

        > span {
          text-overflow: ellipsis;
          overflow: hidden;
        }
      }

      &.item-usage {
        flex: 0 0 80px;
      }

      &.item-type {
        flex: 0 0 42px;
      }

      &.item-value {
        flex: 0 0 72px;
      }

      &.item-weight {
        flex: 0 0 56px;
      }

      &.item-hidden {
        flex: 0 0 32px;
      }

      &.item-identified {
        flex: 0 0 32px;
      }

      &.item-carried {
        flex: 0 0 32px;
      }

      &.item-equipped {
        flex: 0 0 32px;
      }

      &.item-uses {
        flex: 0 0 64px;

        .sep {
          flex: 0;
        }
      }

      &.item-attacks {
        flex: 0 0 80px;
      }

      &.item-damage {
        flex: 0 0 100px;

        > .resolved-formula {
          text-overflow: ellipsis;
          overflow: hidden;
        }
      }

      &.item-range {
        flex: 0 1 56px;
      }

      &.item-button {
        flex: 0 0 64px;

        button {
          height: 24px;
          font-size: var(--font-size-12);
          padding: 0;
          line-height: 2;
        }
      }
    }

    a.item-control {
      display: inline-flex;
      justify-content: center;
      align-items: center;

      &.item-toggle-prepared {
        color: rgba(75, 75, 75, 0.3);

        &.enabled {
          color: rgba(75, 75, 75, 1);
        }
      }
    }

    .item-level {
      flex: 0 0 40px;
    }

    .item-subtype {
      flex: 0 0 120px;
    }

    .item-feat-level {
      flex: 0 0 60px;
    }

    .item-active {
      flex: 0 0 60px;
    }

    // Item Control Buttons
    .item-controls {
      flex: 0 0 120px;
      display: flex;
      flex-flow: row nowrap;
      overflow-x: hidden;
      white-space: nowrap;

      a {
        flex: 0 0 16px;
        font-size: var(--font-size-12);
        text-align: center;
        color: var(--pf1-control-color);
      }

      &.basic {
        flex: 0 0 48px;
      }
    }

    // Item Dropdown Summary
    .item-summary {
      flex: 0 0 100%;
      font-size: var(--font-size-12);
      line-height: 1.5;
      padding: 0.25em 0.5em;
      border-top: 1px solid var(--pf1-faint);
    }
  }

  .item-list-header .item-name {
    cursor: initial;
  }

  .item-list {
    .item {
      // To align with header
      padding: 0 2px;

      border-bottom: 1px solid var(--pf1-faint);

      &:last-child {
        border-bottom: none;
      }

      .itemBackground();
    }
  }
}
